## org.apache.axis.ime.internal
Class MessageExchangeProvider.MessageSender

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.MessageExchangeProvider.MessageSender

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  MessageExchangeProvider

public static class MessageExchangeProvider.MessageSender
extends java.lang.Object
implements java.lang.Runnable

Field Summary
`protected KeyedBuffer` `channel`
`protected Handler` `handler`
`protected MessageExchangeEventListener` `listener`
`protected static org.apache.commons.logging.Log` `log`
`protected ThreadPool` `pool`

Constructor Summary
`protected` `MessageExchangeProvider.MessageSender(ThreadPool pool, KeyedBuffer channel, MessageExchangeEventListener listener, Handler handler)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### pool

    protected ThreadPool pool

### channel

    protected KeyedBuffer channel

### listener

    protected MessageExchangeEventListener listener

### handler

    protected Handler handler

Constructor Detail

### MessageExchangeProvider.MessageSender

    protected MessageExchangeProvider.MessageSender(ThreadPool pool,
                                                    KeyedBuffer channel,
                                                    MessageExchangeEventListener listener,
                                                    Handler handler)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  See Also:
    `Runnable.run()`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.